Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Upgrade von 1.4.4 auf 1.4.5 funktioniert nicht
#1
Hallo

Ich wollte jetzt endlich mal mein Forum auf den aktuellsten Stand bringen. Habe eigentlich auch alles so gemacht, wie in den FAQ und unzähligen Beiträgen beschrieben...

Patch geladen, entpackt und auf den Server geladen. Vorher noch schnell die GZip-Komprimierung deaktiviert, um diese Fehlerquelle auszuschließen.

Dann wollte ich die upgrade.php aufrufen, erhalte aber nur eine weiße Seite. die index.php aus dem install-Ordner funktioniert. Alle anderen Dateien, inkl. dem ACP lassen sich aber nicht aufrufen, sondern bringen nur diese weiße Seite zum Vorschein.

Habe jetzt vorerst mein Backup zurück gespielt. Weiß jemand von Euch vielleicht, woran das liegen kann?

MfG
#2
Hast du Zugriff auf die Server-Logs?
#3
Hallo

Nein, Zugriff auf die Server-Logs habe ich leider nicht.

MfG
#4
Möglicherweise wurde eine Datei nicht vollständig übertragen. Ein Fehler, wie du ihn beschreibst, ist in diesem Zusammenhang nicht bekannt. Lade die Dateien nochmal hoch, um einen Fehler bei der Übertragung ausschließen zu können.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#5
Hallo

Zitat:Lade die Dateien nochmal hoch, um einen Fehler bei der Übertragung ausschließen zu können.
Ich habe das Prozedere bestimmt schon 5 Mal durch, da ich auch erst an eine fehlerhafte Übertragung gedacht hatte.

Aber es führt hier zu keiner Änderung... Sad

Wenn ich die Ordner auf dem Webspace mit denen auf der HDD vergleiche, sind sie auch alle identisch... Daher wundert mich es ja, dass ich nur eine weiße Seite sehe...

MfG
#6
Welche PHP-/Datenbankversion benutzt du?

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#7
Hallo

Die PHP-Version ist die 5.2.4 und die Datenbank ist die MySQL 5

Die Version MyBB 1.4.4 läuft aber ohne Probleme... Allerdings hatte ich auch damals schon bei der Erstinstallation kleinere Probleme. Aber dort konnte ich zumindest die Seiten des ACP sehen, nur nicht das eigentliche Forum. HIER ist das damalige Thema...

MfG

Edit: Der Server läuft eigentlich auf PHP 5.2.4 aber in den MyBB Debug Informations steht PHP 4.4.9... Was stimmt denn jetzt?
#8
(28.04.2009, 18:31)crying-eagle schrieb: Edit: Der Server läuft eigentlich auf PHP 5.2.4 aber in den MyBB Debug Informations steht PHP 4.4.9... Was stimmt denn jetzt?
Mit PHP4 kann es Probleme geben. Schau dir im ACP die PHP-Info an. Die dort angezeigte Version ist die, die benutzt wird.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#9
Hallo

Also ich habe jetzt noch mal die Version auf dem Server überprüft. Es läuft definitiv die PHP-Version 5.2.9, also sogar noch ein Tick neuer als die 5.2.4 Big Grin

Warum das MyBB hier eine andere Version erkennt, ist mir ein Rätsel... Habe extra eine PHP-Datei erstellt, um die aktuellen Informationen abzurufen. Der Inhalt der PHP-Datei ist folgender:
Code:
<?php phpinfo(); ?>

Im ACP zeigt mir das MyBB noch immer die Version 4.4.9
   

Ein Screenshot von der Serverinfo ist hier:
   

Vielen Dank schon mal für die Mühe Wink

MfG

Edit: Fehler gefunden, zumindest was die verwendete PHP-Version angeht.... Der Server läuft auf der o.g. PHP 5.2.9, aber das Unterverzeichnis läuft irgendwie nur auf PHP 4.4.9... Eigentlich hatte ich gehofft, dass die Unterordner automatisch auch auf PHP 5 laufen Sad

Edit 2: Habe jetzt auch den Unterordner, in dem sich das Forum befindet, auf der Version PHP 5.2.9 laufen. Werde dann zu etwas spätere Zeit ein erneutes Update versuchen... Wink
Hallo

Also, ich habe eben erneut das Upgrade versucht, wieder ohne Erfolg Sad
Diesmal ist aber definitiv die PHP-Version des entsprechenden Ordners die 5.2.9

Also würde die PHP-Version als Fehlerquelle ausschließen Wink

MfG
#10
Kannst du bitte ein zweites neues MyBB 1.4.4 auf dem Webspace installieren und dort versuchen es auf 1.4.5 zu aktualisieren? Sollte es da auch nicht gehen, schick mir bitte die URL, die Daten für den Admin-Account und FTP-Zugangsdaten zum Testforum per PN, dann schau ich da mal bei.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.